[PATCH] libosmocore[master]: jenkins: bail early if $MAKE env var is not set

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Mon Oct 23 13:55:39 UTC 2017


Review at  https://gerrit.osmocom.org/4384

jenkins: bail early if $MAKE env var is not set

If $MAKE is unset, it produces confusing errors, rather check explicitly.

Change-Id: I59b111dfdee4e1edea04155144f01d99f5f72aa1
---
M contrib/jenkins_common.sh
1 file changed, 6 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmocore refs/changes/84/4384/1

diff --git a/contrib/jenkins_common.sh b/contrib/jenkins_common.sh
index 6cfa334..bc4ac65 100644
--- a/contrib/jenkins_common.sh
+++ b/contrib/jenkins_common.sh
@@ -2,6 +2,12 @@
 
 set -ex
 
+if [ -z "$MAKE" ]; then
+    set +x
+    echo "Error: you need to set \$MAKE before invoking, e.g. MAKE=make"
+    exit 1
+fi
+
 verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
 
 prep_build() {

-- 
To view, visit https://gerrit.osmocom.org/4384
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I59b111dfdee4e1edea04155144f01d99f5f72aa1
Gerrit-PatchSet: 1
Gerrit-Project: libosmocore
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>


More information about the gerrit-log mailing list